CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
booster::log::sinks::stream Class Reference

log sink for a generic std::ostream More...

`#include <booster/booster/log.h>`

Inheritance diagram for booster::log::sinks::stream:

## Public Member Functions
| stream (std::ostream &s)
virtual void | log (message const &msg)

## Detailed Description

log sink for a generic std::ostream

Note
  s should be valid as long as the object exists

New in CppCMS 1.2

## Constructor & Destructor Documentation

booster::log::sinks::stream::stream | ( | std::ostream & | s | ) |

Create a new sink, s output stream

## Member Function Documentation

virtual void booster::log::sinks::stream::log | ( | message const & | msg | ) |
| virtual

Log the message to the file

Implements booster::log::sink.

The documentation for this class was generated from the following file:

- booster/log.h